"use client";

import { PrivyProvider } from "@privy-io/react-auth";

import { toSolanaWalletConnectors } from "@privy-io/react-auth/solana";

// Replace this with any of the networks listed at https://github.com/wevm/viem/blob/main/src/chains/index.ts
import {bsc} from 'viem/chains';

export default function MyPrivyProvider({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <PrivyProvider
      appId={process.env.NEXT_PUBLIC_PRIVY_APP_ID!}
      config={{
        // Customize Privy's appearance in your app
        appearance: {
          accentColor: "#812f20",
          theme: "light",
          showWalletLoginFirst: false,
          logo: "https://auth.privy.io/logos/privy-logo.png",
          walletChainType: 'ethereum-only',
          walletList: ['metamask', 'wallet_connect', 'coinbase_wallet', 'rabby_wallet', 'cryptocom','safe']
        },
        loginMethods: ["email", "wallet"],
        // Create embedded wallets for users who don't have a wallet
        embeddedWallets: {
          createOnLogin: "all-users",
          showWalletUIs: true,
        },
        mfa: {
          noPromptOnMfaRequired: false,
        },
        defaultChain: bsc,
        supportedChains: [bsc]
      }}
    >
      {children}
    </PrivyProvider>
  );
}
